/**
 * <copyright>
 * </copyright>
 *
 * $Id: LibraryValidator.java,v 1.1 2007-07-10 15:42:40 ffillion Exp $
 */
package org.openembedd.checker.modelConfig.validation;

import org.openembedd.checker.modelConfig.Exe;
import org.openembedd.checker.modelConfig.Plugin;

/**
 * A sample validator interface for {@link org.openembedd.checker.modelConfig.Library}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface LibraryValidator {
	boolean validate();

	boolean validatePlugin(Plugin value);
	boolean validateExe(Exe value);
	boolean validateGroupName(String value);
	boolean validateVersion(String value);
}
